Skip to main content
POST
https://checkout.dintero.com/v1
/
sessions
/
{session_id}
/
vipps
/
v2
/
payments
/
{order_id}
checkout_sid_vipps_payments_orderid_post
curl --request POST \
  --url https://checkout.dintero.com/v1/sessions/{session_id}/vipps/v2/payments/{order_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchantSerialNumber": "<string>",
  "orderId": "<string>",
  "transactionInfo": {
    "amount": 123,
    "status": "RESERVED",
    "timeStamp": "2023-11-07T05:31:56Z",
    "transactionId": "<string>"
  }
}
'
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

session_id
string<checkout-id>
required

The session ID

order_id
string
required

Body

application/json
merchantSerialNumber
required
orderId
string
required
transactionInfo
object
required

Response

callback handled

Last modified on May 12, 2026